Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class SupportAndRepairType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.SupportAndRepairType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class SupportAndRepairType

extends Object
implements Serializable

Generiek type voor het budget voor onderhoud en herstel.

Java class for SupportAndRepairType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SupportAndRepairType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SupportAndRepairID" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairIDType"/>
             <element name="SupportAndRepairCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairStatusType"/>
             <element name="Amount" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SupportAndRepairType()`

Method Summary
`BigDecimal` | `getAmount()` Gets the value of the amount property.
`SupportAndRepairStatusType` | `getStatus()` Gets the value of the status property.
`String` | `getSupportAndRepairCode()` Gets the value of the supportAndRepairCode property.
`String` | `getSupportAndRepairID()` Gets the value of the supportAndRepairID property.
`void` | `setAmount(BigDecimal value)` Sets the value of the amount property.
`void` | `setStatus(SupportAndRepairStatusType value)` Sets the value of the status property.
`void` | `setSupportAndRepairCode(String value)` Sets the value of the supportAndRepairCode property.
`void` | `setSupportAndRepairID(String value)` Sets the value of the supportAndRepairID property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SupportAndRepairType

    public SupportAndRepairType()

Method Detail

### getSupportAndRepairID

    public String getSupportAndRepairID()

  Gets the value of the supportAndRepairID property.

  Returns:
    possible object is `String`

### setSupportAndRepairID

    public void setSupportAndRepairID(String value)

  Sets the value of the supportAndRepairID property.

  Parameters:
    `value` - allowed object is `String`

### getSupportAndRepairCode

    public String getSupportAndRepairCode()

  Gets the value of the supportAndRepairCode property.

  Returns:
    possible object is `String`

### setSupportAndRepairCode

    public void setSupportAndRepairCode(String value)

  Sets the value of the supportAndRepairCode property.

  Parameters:
    `value` - allowed object is `String`

### getStatus

    public SupportAndRepairStatusType getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `SupportAndRepairStatusType`

### setStatus

    public void setStatus(SupportAndRepairStatusType value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `SupportAndRepairStatusType`

### getAmount

    public BigDecimal getAmount()

  Gets the value of the amount property.

  Returns:
    possible object is `BigDecimal`

### setAmount

    public void setAmount(BigDecimal value)

  Sets the value of the amount property.

  Parameters:
    `value` - allowed object is `BigDecimal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.